Bug 336324 - We need a Start New Session icon
Summary: We need a Start New Session icon
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Theme - Breeze (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Andrew Lake
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 16:33 UTC by Aleix Pol
Modified: 2014-06-24 00:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:
aleixpol: VisualDesign+


Attachments
generic user icon (1.08 KB, image/svg+xml-compressed)
2014-06-23 01:12 UTC, Andrew Lake
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleix Pol 2014-06-16 16:33:10 UTC
We'll be able to create new sessions from the lock screen, and we don't have an icon for that yet. I'll be using the logout button for that, for the moment. 

See: https://bugs.kde.org/show_bug.cgi?id=336113
Comment 1 Aleix Pol 2014-06-16 16:38:45 UTC
Git commit 92a0ab2857994abcfa63382ae3677d685025f62d by Aleix Pol.
Committed on 16/06/2014 at 16:33.
Pushed by apol into branch 'master'.

Make it possible to switch sessions from the lock screen
Related: bug 336113

M  +4    -5    lookandfeel/contents/components/UserDelegate.qml
M  +5    -0    lookandfeel/contents/components/UserList.qml
M  +2    -0    lookandfeel/contents/components/UserSelect.qml
M  +85   -4    lookandfeel/contents/lockscreen/LockScreen.qml

http://commits.kde.org/plasma-workspace/92a0ab2857994abcfa63382ae3677d685025f62d
Comment 2 Marco Martin 2014-06-17 09:18:05 UTC
Usability wise, sometimes, if it's not obvious immediately what icon you would use, means that it may be better to just use text instead (I think one of the problems in kde4 artwork is in fact that there are *too many* icons, only a subset of actions and concepts should have one), i wonder if would be possible to layout there a text-only button in an elegant way.
Comment 3 Aleix Pol 2014-06-17 10:24:43 UTC
Well, look at the lock screen design. it's not what we decided. if we don't want the icon then we need a new design.
Comment 4 Marco Martin 2014-06-17 11:12:38 UTC
ah, i see it as an entry as it was an user..
kinda makes sense.
in this case i suggest a generic user avatar (maybe with either a question mark or a "new" star near the face)
also, the switch user action should be in the action switcher in the bottom right corner, and the new session user icon in the user switch UI instead.
Comment 5 Andrew Lake 2014-06-23 01:12:53 UTC
Created attachment 87332 [details]
generic user icon

Created a generic user icon based on the user-group-new icon in the Breeze icon theme. I agree with Marco that this should sufficiently represent New Session.

 Hope this helps!
Comment 6 Aleix Pol 2014-06-23 11:01:39 UTC
Works for me, can you put it in the theme so we can use it?
Comment 7 Andrew Lake 2014-06-24 00:38:47 UTC
Git commit 74214ea420dee3805ff1160576dd4cefe91c03d6 by Andrew Lake.
Committed on 24/06/2014 at 00:35.
Pushed by alake into branch 'master'.

add user-identity icon. Placed it in the same location as oxygen icon set.

A  +-    --    icons/places/scalable/user-identity.svgz

http://commits.kde.org/breeze/74214ea420dee3805ff1160576dd4cefe91c03d6